Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 708032

Summary: net-nds/adtool-1.3.3 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-nds:adtool-1.3.3:20200202-225953.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-02-03 18:43:20 UTC
  453 |         fread(data, filesize, 1, data_fd);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o adtool adtool.o ../../src/lib/libactive_directory.a -lldap -llber -lldap_r -lpthread -lresolv  
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -O2 -pipe -march=native -fno-common -Wl,-O1 -o adtool adtool.o  -Wl,--as-needed ../../src/lib/libactive_directory.a -lldap -llber -lldap_r -lpthread -lresolv
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../../src/lib/libactive_directory.a(active_directory.o):(.bss+0x438): multiple definition of `uri'; adtool.o:(.bss+0x18): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../../src/lib/libactive_directory.a(active_directory.o):(.bss+0x430): multiple definition of `binddn'; adtool.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200129-211601

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 3.15.0 [icedtea-8]
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 02 Feb 2020 21:51:32 +0000

emerge -qpvO net-nds/adtool
[ebuild  N    ] net-nds/adtool-1.3.3  USE="ssl"
Comment 1 Toralf Förster gentoo-dev 2020-02-03 18:43:23 UTC
Created attachment 611258 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-03 18:43:26 UTC
Created attachment 611260 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-03 18:43:29 UTC
Created attachment 611262 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-03 18:43:32 UTC
Created attachment 611264 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-03 18:43:35 UTC
Created attachment 611266 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-03 18:43:38 UTC
Created attachment 611268 [details]
net-nds:adtool-1.3.3:20200202-225953.log
Comment 7 Toralf Förster gentoo-dev 2020-02-03 18:43:42 UTC
Created attachment 611270 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-08-29 12:30:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a71db50a58a04e906dec11fef3d8dab342b463d4

commit a71db50a58a04e906dec11fef3d8dab342b463d4
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-08-29 12:30:14 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-08-29 12:30:14 +0000

    net-nds/adtool: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/708032
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: David Seifert <soap@gentoo.org>

 net-nds/adtool/adtool-1.3.3-r1.ebuild              | 29 +++++++++++++++++++
 net-nds/adtool/adtool-1.3.3.ebuild                 | 33 ----------------------
 net-nds/adtool/files/adtool-1.3.3-automake.patch   |  9 ++++++
 net-nds/adtool/files/adtool-1.3.3-fno-common.patch | 19 +++++++++++++
 4 files changed, 57 insertions(+), 33 deletions(-)